//                              -*- Mode: C++ -*-
//: ESEnCorStrategy.C
//
//
// Author: Mauro Villa   
// ECAL group 
// HERA-B experiment, Desy
// e-mail: villa@bo.infn.it
//
// Created 25/10/99
// Last Update ........
//

#include "care/ESEnCorStrategy.hh"
/*
CLASS
  ESEnCorStrategy

};
*/

////////////////////// member function definitions ///////////////////

ESEnCorStrategy::ESEnCorStrategy() : energy(0.0), energyVariance(0.0), 
  posData(0), corrfact(1.0) {};
ESEnCorStrategy::~ESEnCorStrategy(){};

Energy_t ESEnCorStrategy::evaluateEnergy(const EMCluster* clus, 
					 ESPosition & positionData){
  energy= positionData.energy();
  energyVariance = positionData.sqenerr();
  posData = &positionData;
  return energy;
}
