#ifndef _NCAL_H_
#define _NCAL_H_
typedef struct {
   int ncl;
   int sec;
   float xmin;
   float xmax;
   float ymin;
   float ymax;
   float zmin;
   float zmax;
   float xmad;
   float ymad;
   float zmad;
   float eff;
   float ms;
   int cmp;
   int onesl;
   int ogmat;
   char gvol[4];
} NCAL;
#define  JNCAL (gcbank_.iq+artelink_.jncal)
#define  NNCAL() N_U(JNCAL)
#define NCNCAL() N_C(JNCAL)
#define NCAL(i) (*((NCAL*)(JNCAL+2)+(i)-1))
#define NCAL_onesl(i) NCAL(i).onesl
#define NCAL_ogmat(i) NCAL(i).ogmat
#endif
