/**********************************************************************
*    In MC the GEDE planes will be simple copied from The NEDE planes.*
*    This is the place where changes for GEDE could be made. It is    * 
*    called from dggehd.C, i.e. every time when a new GEDE is copied  *
***********************************************************************/   
#include "digi/dgocell.hh"

 void  setITRGEDEacc();
 void  setITRGEDEeff();
 void  setITRGEDEdod();

void dgchange_GEDE() {
  extern int   ITR_DIGI_ACC_FLAG;
  extern int   ITR_DIGI_EFF_FLAG;
  extern int   ITR_DIGI_DOD_FLAG;
  if (ITR_DIGI_ACC_FLAG) setITRGEDEacc();
  if (ITR_DIGI_EFF_FLAG) setITRGEDEeff();
  if (ITR_DIGI_DOD_FLAG) setITRGEDEdod();
  // this will force otr initalization if otrdigi is used.
  dgocell::ForceInitialization() ;
}
