//                              -*- Mode: C++ -*-
//
// Author: Mauro Villa   
// ECAL group
// HERA-B experiment, Desy
// e-mail: villa@bo.infn.it
//
#include "dq/DQ_VecUtil.hh"

HepLorentzVector eval4vec( Hep3Vector shower, float energy, Hep3Vector vertex){

  Hep3Vector pgamma = shower-vertex;
  float normfactor = energy/pgamma.mag();
  pgamma *= normfactor;
  HepLorentzVector momentum(pgamma, energy);
  return momentum;
}
