// ********************************************************************
//
//  Routine:      rcDQflag
//  Author:       T.Oest
//
//  Description:  fill DQ error histogram
//
//  Modification:
//
// ********************************************************************

// includes
#include <iostream.h>
#include <stdlib.h>
#include <math.h>
#include <algo.h>
#include "arte/RSEG_cmp.hh"

#include "arte/arte.hh"
#include "rhp.h" 
#include "dq/DQ.h"

//*****************************************************************
// function
//*****************************************************************

void rcDQflag(){

//-----------------------------------------------------------------
//  
//-----------------------------------------------------------------

  if (ArteTable<EVRC>::size() > 0){
   ArtePointer<EVRC> evrc( ArteTable<EVRC>::size());

   if (evrc->errmask != 0) {
              rhp_hf1( DQ_ID(COMP_RECO, LVL_REC, 1) , 1.0 , 1 );
   } else {
              rhp_hf1( DQ_ID(COMP_RECO, LVL_REC, 1) , 0.0, 1 );
   };


   unsigned flag = 0x00000001;

   for (float bin = 2.0; bin < 33 ; bin += 1.0){

    if (evrc->errmask & flag) 
              rhp_hf1( DQ_ID(COMP_RECO, LVL_REC, 1) , bin , 1 );

    flag = flag << 1;

   };

  };

};




