/***********************************************************************
*
* GUTRAK
* written by Siegmund Nowak   03/93
*
* This routines selects particles for tracking
*
***********************************************************************/
#include <stdio.h>
#include <string.h>
#include <vector.h>
#include "gean/gcphys.h"
#include "gean/gckine.h"
#include "gean/gctrak.h"
#include "gean/zgkine.hh"

extern "C" {
   void gutrak_(); 
   void gtrack_();
}

void gutrak_() {
  extern vector<hgmtra> *hg_mtra;

  if(gckine_.ipart == 0 || gckine_.ipart ==4 ) return;
  if(!gckine_.istak) {  
     if(gckine_.itra <= int(hg_mtra->size())) {
        vector<hgmtra>::iterator mtt = hg_mtra->begin() + gckine_.itra -1;
        if(mtt->mtra) {
	  if(mtt->flag ==3) 
            gcphys_.sumlif = mtt->len*gckine_.amass/gctrak_.vect[6];
        }
     }  
     hgmtra mt;
     memset(&mt,0,sizeof(mt));
     zgkine ZGKINE;
     ZGKINE.mtpush(gckine_.itra,mt); 
  }
  gtrack_();
}


