/************************************************************************
*
* MEDMAIN
* written by Siegmund Nowak
*
* Main routine for material handling
*
*       called from GEOMAIN (istat = 1) or CRGEAN(istat = 3)
*
************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <vector.h>
#include <math.h>
#include "arte/arte.hh"
#include "arte/ArteFlag.h"
#include "arte/ArteMessage.hh"
#include "arte/ArteUtil.h"
#include "gean/zgeom.h"
#include "gean/zgvers.hh"
#include "gean/ZGESL.h"

int   read_dat(FILE *,int &);
FILE  *utfilp(const char*,const char*);
vector<int*>    hg_tmed;

void medmain() {
    extern int Gean_Status;
    static char filnam[80];  static FILE *MED_inp;  
    zgmed ZGMED;
    hg_tmed.reserve(200);

    if (Gean_Status < 3) {
//     select file name and  open the file
       strcpy(filnam,"gmat.dat");         
       MED_inp = utfilp(filnam,"");
    
//     now the card handling begins

       for (;;)   {
//        read in one media, rotation or volume block
          int datagroup=0; int nr=0;
          datagroup = read_dat(MED_inp,nr); 

//        no action 
          if (datagroup == 0) continue;                          

//        media
          if (datagroup == 1 ) ZGMED.Create_Gmed(); 

          if (datagroup == -99 )  break;  
       }
    }
}   

/* medmain_ */




