*CMZ :  0.01/02 26/08/94  17.21.18  by  Dominik Ressing
*CMZ :  0.01/01 22/07/94  15.02.06  by  Dominik Ressing
*-- Author :    Dominik Ressing   18/07/94
************************************************************************************
*
* L1MESDI
* written by Dominik Ressing, 18/07/94 15.08.35
*
* This routines action:
* Delete a MESSAGE: disconnect message ipoint from its queue
*
* Variables   kind         description
*          (in,update,out)
*-----------------------------------------------------------------------------------
* ipoint        in         pointer to message
*
************************************************************************************
c
      SUBROUTINE L1MESDI(ipoint)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1mesdf.fi"
c
      INTEGER inext,iprev,ipoint
c
c     --- find next and previous messages:
      iprev = L1MEstor(ipoint+L1MEprev)
      inext = L1MEstor(ipoint+L1MEnext)
c
c     --- job-queue header (this is invalid!)?
      IF ( iprev.le.0 ) THEN
         print *,'L1MESDI ==> can not delete message-chain header !'
c     --- last message?
      ELSE IF ( inext.le.0 ) THEN
         L1MEstor(iprev+L1MEnext) = 0
      ELSE
         L1MEstor(iprev+L1MEnext) = inext
         L1MEstor(inext+L1MEprev) = iprev
      END IF
c
      RETURN
c
      END
