*CMZ :  1.00/01 13/03/95  22.53.58  by  Fedor Ratnikov
*CMZ :  1.00/00 22/12/94  18.21.43  by  Dominik Ressing
*-- Author :    Dominik Ressing   10/12/94
************************************************************************
*
* L1PRTPO
* written by Dominik Ressing, 10/12/94 14.40.10
*
* This routines action:
* Print all track coordinates  relevant for a ``point''
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* iHiPosZ     in       Hit pointer for the found hits 0 layer
* iHiPosP     in       Hit pointer for the found hits + alpha layer
* iHiPosN     in       Hit pointer for the found hits - alpha layer
* z           in       z-coordinate to print track points at
*
************************************************************************
c
      SUBROUTINE L1PRTPO(iHiPosZ,iHiPosP,iHiPosN,z)
c
      IMPLICIT NONE
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1detdf.fi"
#include "l1si/l1clink.fi"
#include "l1si/rclink.fi"
#include "gean/gcbank.fi"
#include "l1si/rcfdef.fi"
c
      INTEGER iHiPosZ,iHiPosP,iHiPosN
      REAL    z,P,x,y,Pa
c
      INTEGER ihitsor(100),iflag(100),ila,imask,i,k,nfou,jAux,itr,
     &        iMax,ipri(0:7)
      DATA ipri/0,1,10,11,100,101,110,111/   ! expand bit pattern
c
#include "l1si/rcfunc.ff"
c
      Nfou = 100
      CALL l1getrs(iHiPosZ,iHiPosP,iHiPosN,Nfou,ihitsor,iflag)
c
      DO k=1,Nfou
         CALL l1prtrk(ihitsor(k),z)
         WRITE(L1LUNprn,900) ipri(iflag(k))
 900     FORMAT(' L1PRTPO==> hits in 0,+,- projection:',i03)
      END DO
c
      RETURN
c
      END
