
//## Boris Fominykh  21.12.1999
// member functions of the NESL container class MuNesl

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "murec/MuNesl.h"

//** Constructor */
MuNesl::MuNesl()
{
  Valid=-1;
}

//** Destructor */
MuNesl::~MuNesl()
{
}

//## Methods

//** Initialization */
void MuNesl::Ini()
{
  Valid=-1;
  return;
}
 
void MuNesl::Print()
{
  cout << name << " NESL key " << neslkey << " inesl " << inesl;
  cout << " Valid " << Valid << endl;

  cout << " cmp " << cmp << " nsl " << nsl << " lay " << lay;
  cout << " shp " << shp << " mfl " << mfl << endl;

  cout << " dx " << dx << " dy " << dy;
  cout << " x1 " << x1 << " x2 " << x2;
  cout << " y1 " << y1 << " y2 " << y2;
  cout << " z1 " << z1 << " z2 " << z2 << endl;

  cout << " npl " << npl << " fpl " << fpl;
  cout << " nwl " << nwl << " fwl " << fwl;
  cout << " ltyp " << ltyp << " pnsl " << pnsl << endl;

  cout << " " << endl;
  for(int i=0; i<6; i++) {
    cout << "#" << i+1 << " chamb " << chamb[i] << " nx99 " << nx99[i] << endl;
  }
  cout << " " << endl;

  return;
}


