
* Boris Fominykh  23.01.2001
* prints muon MIMPs
*
      SUBROUTINE MUMIMP
C-    =================
      IMPLICIT NONE
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "auto/MC.fi"
      INTEGER NMP,IM,JM
      INTEGER IV,ICMP,ISL,LAY,MSL,NTR
      INTEGER IV1,IV2,MIM1,MIM2
      REAL XM,YM,ZM
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MC.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      WRITE(LLOGF,*) '***** MUMIMP starts *****'

      NMP = 0

      IF(JMIMP.GT.0) GOTO 10
      WRITE(LLOGF,1001) JMIMP
 1001 FORMAT(2X,'*** MUTEST: no table MIMP, JMIMP=',I10)
      GOTO 200
   10 CONTINUE

* loops over GESL
      DO 11 ISL=1,IQ(JGESL+2)
* type of superlayer, muon types (8 and 9) are only acceptable
        ICMP = IGESL_CMP(ISL)
        IF(ICMP.NE.8.AND.
     +     ICMP.NE.9) GOTO 11
        IV1 = IGESL_FPL(ISL)
        IV2 = IV1+IGESL_NPL(ISL)-1
        IF(IV1.GT.IV2) GOTO 11
        DO 12 IV=IV1,IV2
          MIM1=IGEDE_MIM1(IV)
          MIM2=IGEDE_MIML(IV)
          IF(MIM2.GE.MIM1) WRITE(LLOGF,1041) ISL,IV,
     +    MIM2-MIM1+1, MIM1,MIM2
 1041     FORMAT(2X,'SL ',I5,'  IV ',I6,'  MIMP',
     +           I3,' min,max ',2I5)
 12     CONTINUE
 11   CONTINUE

*
* loops over mimps
      IF(IQ(JMIMP+2).LE.0) GOTO 200
      DO 150 IM=1,IQ(JMIMP+2)
        JM=JMIMP+IQ(JMIMP+1)*(IM-1)+2
        IV  = IQ(JM+JMIMP_GEDE)
* detector component
        ICMP = IGEDE_CMP(IV)
* select muon mimps
        IF(ICMP.NE.8.AND.ICMP.NE.9) GOTO 150
        NMP=NMP+1
*
* MC track number
        NTR  = IQ(JM+JMIMP_MTRA)
* superlayer number
        ISL = OGEDE_GESL(IV)
* MUON superlayer number
        MSL = I_V(JGESL_NSL,ISL,JGESL)
* layer number
        LAY = IGEDE_LAY(IV)
* coordinates of impact point
        XM  = Q(JM+JMIMP_X)
        YM  = Q(JM+JMIMP_Y)
        ZM  = Q(JM+JMIMP_Z)
*
* print
        WRITE(LLOGF,1102)
     +    NMP,IM,NTR,IV,ISL,MSL,LAY,ICMP,ZM,XM,YM
 1102      FORMAT(2X,I3,' MIMP',I4,' MTRA',I4,' GEDE',I5,' sl',I3,
     +  ' MU_sl',I2,' lay',I2,' cmp',I2,'  z,x,y:',3F7.1)
*
  150 CONTINUE
*
  200 CONTINUE
*
      WRITE(LLOGF,*) '***** MUMIMP finished,  muon mimps in total',
     *                NMP,' *****'
      RETURN
      END




