
// ********************************************************************
//
//  Routine:      rcSelRTRA.C
//  Author:       T. Oest
//
//  Description:  steering for matching by T.Oest
//
//  Modification:
//        -  dropping of RTRA is now included in rc99AStandAlone
//                                            01/07/99   Samtleben
//        -  cuts changed (p>2 Gev, RICH sigma >3)
//                                            27/07/99   T. Oest
// 03 Jan 2000 (AG) removed 99
//
// ********************************************************************

// includes
#include <iostream.h>
#include <stdlib.h>
#include <math.h>

#include "arte/arte.hh"

extern int matchVdsEcal;
extern int matchVdsRich;
extern int matchVdsEcalRich;
extern int matchTarget;

// extern "C" void mmdrop_(const int &);

void rcSelVDStracks();
void rcSelTARGETtracks();

//float MatchChi2Cut  = 10000.;
float tyRICHcorr    = 0.000;
float MatchChi2Cut  = 50.;
//float tyRICHcorr    = -0.0003;
float MatchdtyCut    = 0.0015;
float MatchdtyMaxCut = 0.01;
float MatchdyMaxCut  = 10.0;
float MatchpCut      = 2.0;
float MatchsigRICHCut  = 3.0;

//
// function
//
void rcSelRTRA()
{
//-----------------------------------------------------------------
//   alignment corrections
//-----------------------------------------------------------------
  if (ArteTable<MTRA>::size() != 0){
   tyRICHcorr    =  0.0;
  }; 
//-----------------------------------------------------------------
//   drop RTRA
//-----------------------------------------------------------------

  //  ArteTable<RTRA>::clear();
  //  mmdrop_(ArteTable<RTRA>::getLink().getInt());

//-----------------------------------------------------------------
//   select tracks
//-----------------------------------------------------------------

  if (matchVdsEcal ==1 || matchVdsRich ==1 || matchVdsEcalRich == 1)
            rcSelVDStracks();
  if (matchTarget == 1) rcSelTARGETtracks();


};


