*-- Author :    Hartwig Albrecht   02/02/95

      SUBROUTINE ATEXEC

************************************************************************
*
* Description: execute KUIP commands
*
* Called from: ATMAIN
*
* External references: ...
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"

      INTEGER L

#include "arte/Arte.ff"

C execute profile file

      CALL MEWARC (729, 'read profile commands from file profile.kumac')
      CALL KUEXEC ('DEFAULT ''.,~/bin,hbbin'' -A')
      CALL KUEXEC ('TRACE ON')
      CALL KUEXEC ('EXEC profile')

C execute program commands

      C78 = PROGNAME
      CALL CH78AC ('.kumac')
      CALL MEWARC (285, 'read program commands from file ' // C78)
      CALL KUEXEC ('EXEC ' // C78)

      IF (IBATCH .EQ. 0)  THEN

C execute interactive commands

 10     CALL KUEXEC ('TRACE OFF')
        C78 = 'prompt'
        CALL CH78BC (PROGNAME)
        CALL CH78AC (':')
        CALL KUEXEC (C78)
        CALL KUEXEC ('ALI/CRE H HELP -C')
        CALL KUEXEC ('COLUMN 80')
        CALL MESELP ('>>> type the command H for help <<<', 'T')
        CALL KUWHAT

      ELSE

C batch: start event processing if not yet done

        NEVENTL = ILARGEST
        IF (PROGSTAT .LT. 0)  CALL QNEXTE

      END IF

      END

************************************************************************
* End of ATEXEC
************************************************************************
