/***********************************************************************
*
* DGGEHD
* written by Siegmund Nowak 11/98
*
* This routine copies NEDE banks to GEDE banks 
* called from 
*
***********************************************************************/
#include <stdio.h>
#include <string.h>
#include "arte/arte.hh"

extern "C" {
 void dggehd_();
 void mmbook_(int &, const int&);
 void mmirel_(ArteLink *);
 }
 void dgchange_GEDE();

void dggehd_() {

  if(!ArtePointer<NGHD>::getLink().getRef() || ArteTable<NGHD>::size() < 0)
                                                                     return;  

  mmbook_(ArtePointer<GEHD>::getLink().getRef(),ArteTable<NGHD>::size());
  memcpy(gcbank_.iq + ArtePointer<GEHD>::getLink().getRef()+2 ,
         gcbank_.iq + ArtePointer<NGHD>::getLink().getRef()+2 , 
         ArteTable<NGHD>::size()*sizeof(NGHD));
 
  mmbook_(ArtePointer<GTAR>::getLink().getRef(),ArteTable<NTAR>::size());
  memcpy(gcbank_.iq + ArtePointer<GTAR>::getLink().getRef()+2 ,
         gcbank_.iq + ArtePointer<NTAR>::getLink().getRef()+2 , 
         ArteTable<NTAR>::size()*sizeof(NTAR));
 
  mmbook_(ArtePointer<GESL>::getLink().getRef(),ArteTable<NESL>::size());
  int i0 = 0;
  for(unsigned int i=1; i<=ArteTable<NESL>::size(); i++) {
    ArtePointer<NESL> ns(i);  ArtePointer<GESL> gs(i);
    memcpy(&gs->name , &ns->name, sizeof(NESL)); 
    memcpy(&gs->gede,&i0,4); memcpy(&gs->gcal,&i0,4); memcpy(&gs->gwal,&i0,4);
  }
 
  mmbook_(ArtePointer<GEDE>::getLink().getRef(),ArteTable<NEDE>::size());
  for(unsigned int i=1; i<=ArteTable<NEDE>::size(); i++) {
    ArtePointer<NEDE> nd(i);  ArtePointer<GEDE> gd(i);
    memcpy(&gd->cmp , &nd->cmp, sizeof(NEDE)); 
    gd->mim1 = 0;    gd->miml = -1;    
    gd->dig1 = 0;    gd->digl = -1;
    gd->hit1 = 0;    gd->hitl = -1;
  }
  mmirel_(&artelink_.jgsgd);
  mmirel_(&artelink_.jgmgd);
  dgchange_GEDE();

  mmbook_(ArtePointer<GCAL>::getLink().getRef(),ArteTable<NCAL>::size());
  for(unsigned int i=1; i<=ArteTable<NCAL>::size(); i++) {
    ArtePointer<NCAL> nc(i);  ArtePointer<GCAL> gc(i);
    memcpy(&gc->ncl , &nc->ncl, sizeof(NCAL));
    gc->mim1 = 0;    gc->miml = -1;
    gc->dig1 = 0;    gc->digl = -1;
    gc->hit1 = 0;    gc->hitl = -1;
  }
  mmirel_(&artelink_.jgsgc);
  mmirel_(&artelink_.jgmgc);


  mmbook_(ArtePointer<GWAL>::getLink().getRef(),ArteTable<NWAL>::size());
  for(unsigned int i=1; i<=ArteTable<NWAL>::size(); i++) {
     ArtePointer<NWAL> nw(i);  ArtePointer<GWAL> gw(i);
     memcpy(&gw->shp , &nw->shp, sizeof(NWAL));
  }
  mmirel_(&artelink_.jgsgw);
  mmirel_(&artelink_.jgmgw) ;
}

