
#include <iostream>
#include <string>
#include <functional>
#include <algorithm>

 
#include <arte/arte.hh>


//
// Simple recursive function which uses the one-to-many relation
// MTRA->ETRA:
//
int printDecayChain( ArtePointer<MTRA> mtra,
		      unsigned int depth )
{
  std::string parname(ArtePointer<TOPP>(mtra->topp)->name,6);
  
  std::fill_n( std::ostream_iterator<char>( std::cout, ""), depth*12, ' ');
  std::cout << parname << std::endl;
  std::for_each( mtra->etra.begin(), mtra->etra.end(),
                 std::bind2nd(std::ptr_fun(printDecayChain),depth+1) );
  return 0;
}
