
// ********************************************************************
//
// source:    usinit.C
//
// type:      source code
//
// author:    Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// called by: ARTE
//
// purpose:   plain usinit.C
//
// changes:
// 19 Jan 2001 (AG) added comments
//
// ********************************************************************

// standard includes
#include <iostream.h>

// ARTE includes
#include "farm/farm.hh"

//
// program code
//
extern "C" void
usinit_()
{
  ARTE_mark( "usinit BEGIN", 0 );
  cout << "usinit" << endl;
  
  // return
  ARTE_mark( "usinit END", 0 );
  return;
}
