*CMZ :  1.00/00 07/12/94  03.29.20  by  Fedor Ratnikov
*CMZ :  0.01/02 22/08/94  13.58.20  by  Dominik Ressing
*CMZ :  0.01/01 25/07/94  17.29.20  by  Dominik Ressing
*-- Author :    Dominik Ressing   25/07/94
************************************************************************
*
* L1DATSC
* written by Dominik Ressing, 25/07/94 17.25.30
*
* This routines action:
* Scratches the data for the bunch crossing iBX from memory.
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* iBX         in          bunch crossing identifier
*
*
************************************************************************
c
      SUBROUTINE L1DATSC(iBX)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1runpa.fi"
#include "l1si/l1detdf.fi"
c
      INTEGER iBX,itr,jtr,k
c
      IF ( L1PARhandev.gt.0 ) THEN   ! tracks were entered by hand
         DO itr=1,L1DETntr
            IF (T1DETtracks(L1DETtrBX,itr).eq.iBX) THEN  ! scratch track
               DO jtr=itr+1,L1DETntr
                  DO k=1,L1DETtrlen
                     T1DETtracks(k,jtr) = T1DETtracks(k,jtr+1)
                  END DO
               END DO
               L1DETntr = L1DETntr - 1
            END IF
         END DO
      ELSE                      ! MC data
      END IF
      CALL L1BXDRP(iBX)
c
      RETURN
c
      END
