*CMZ :  1.00/07 08/11/95  10.41.32  by  Fouzia SAADI
*-- Author :    Fouzia SAADI   30/10/95
************************************************************************
*
* L1GAMCU
* written by Fouzia SAADI, 30/10/95 10.04.43
*
* This routines action:
* return ECAL pretrigger flag value for photon trigger:
* it calculates E_T the transverse energy of ECAL cluster and outputs
* L1GAMCU =1  if E_T > gam_cut
*         =0  if not
*
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* e        in        total enegry of cluster
* x,y,z    in        coordinate of central cell of cluster
* gam_cut  in        transverse enery cut to accept the culster as
*                    pretrigger candidate.
************************************************************************
c
      INTEGER  FUNCTION L1GAMCU(e,x,y,z,gam_cut)
c
      IMPLICIT NONE
c
      real e , x, y , z ,gam_cut
      real rr, e_t
c
      rr = x**2 +y**2
c
      e_t = e * sqrt(rr/(rr+z**2))
c
      L1GAMCU =MIN(int(e_t/gam_cut),1)
C
      RETURN
c
      END
