
// Boris Fominykh  26.03.2001
// this is to order the muon hitb hits in real events just after creation

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <fstream.h>
#include <iostream.h>
#include <iomanip.h>
#include <stdlib.h>

#include "arte/arte.hh"

extern "C" {
void MuHitbOrder() {

// number if hits in hitb
  int nhit = ArtePointer<HITB>::nrow();
  if(nhit < 2) return;

// loops over GESL
  for ( ArteTableIterator<GESL> isl = ArteTable<GESL>::begin(); 
        isl != ArteTable<GESL>::end();
        ++isl ) {
    int   cmp  = (*isl)->cmp;
    if(cmp == 8 || cmp == 9) {
      int iv1 = (*isl)->fpl;
      int iv2 = iv1 + (*isl)->npl;
      if(iv2 > iv1) {

// loops over gede
        for ( int iv=iv1; iv<iv2; iv++) { 
          ArtePointer<GEDE> gede1(iv);

// loops over hitb hits related with gede
          ArteTableIterator<HITB> ihf = gede1->hit1;
          ArteTableIterator<HITB> ihl = gede1->hitl;
          ArteTableIterator<HITB> zero = 0;
          ArteTableIterator<HITB> mone = -1;
          if(ihf != zero && ihl != mone) {
// working pointer
            ArteTableIterator<HITB> ihw = ihf+1;
            if(ihf != ihl) {
              ArteTableIterator<HITB> nshift = 0;

	      for(ArteTableIterator<HITB> ihitb = ihf+1; ihitb != ihl+1; ++ihitb) {
  	        ArtePointer<GEDE> gede=(*ihitb)->gede;
	        if(gede == gede1 && ihw != ihitb) {
// remember the hit
                  float x=(*ihitb)->x;
	          float y=(*ihitb)->y;
	          float z=(*ihitb)->z;
                  float q=(*ihitb)->q;
	          float r=(*ihitb)->r;
// shift the other hits
	          for(ArteTableIterator<HITB> ih = ihitb; ih != ihw; --ih) {
	            (*ih)->x = (*(ih-1))->x;
	            (*ih)->y = (*(ih-1))->y;
	            (*ih)->z = (*(ih-1))->z;
	            (*ih)->r = (*(ih-1))->r;
	            (*ih)->q = (*(ih-1))->q;
	            (*ih)->gede = (*(ih-1))->gede;

// update gede pointers for shifted hit
	            ArtePointer<GEDE> gdw  = (*ih)->gede;
	            ArteTableIterator<HITB> ihfw = gdw->hit1;
	            if(ih-1 == ihfw) gdw->hit1 += 1;
	            ArteTableIterator<HITB> ihlw = gdw->hitl;
	            if(ih-1 == ihlw) gdw->hitl += 1;
                    ++nshift;
	          }
// write the remembered hit
	          (*ihw)->x = x;
	          (*ihw)->y = y;
	          (*ihw)->z = z;
	          (*ihw)->q = q;
	          (*ihw)->r = r;
	          (*ihw)->gede = gede;
                }
                if(gede == gede1) ++ihw; 
	      }
// update gede pointer
	      if(nshift != zero) gede1->hitl = ihw - 1;
            }
          }
        }
      }
    }
  }
}
}





