*-- Author :    Rainer Mankel   29/04/97

      subroutine pkgraph(npoint,xxx,yyy,options)
*     **** mimiques iggraph, but picks instead of drawing
*     **** as output, idpickzg is set to -1 if a smaller
*     **** distance is found
      implicit none
#include "pris/zgraf.fi"
      integer npoint,iclose,point,seg,segmin,segmax,p1,p2
      real xxx(*),yyy(*),r,rseg,rclose
      character*(*) options

      if (npoint.lt.2) go to 999

      rclose = 1.e10            ! find closest point
      iclose = 0
      do point=1,npoint
         r = (xxx(point)-xpickzg)**2 + (yyy(point)-ypickzg)**2
         if (point.eq.1.or.r.lt.rclose) then
            iclose = point
            rclose = r
         endif
      enddo

*     **** check adjoining segments
      if (iclose.ne.1) then     ! fix endpoints
         segmin = 1
      else
         segmin = 2
      endif
      if (iclose.ne.npoint) then
         segmax = 2
      else
         segmax = 1
      endif
      do seg=segmin,segmax
         p1 = iclose + seg - 2
         p2 = p1 + 1
         rseg = sqrt( (xpickzg-xxx(p1))**2 + (ypickzg-yyy(p1))**2)
     +        + sqrt( (xpickzg-xxx(p2))**2 + (ypickzg-yyy(p2))**2)
     +        - sqrt( (xxx(p1)-xxx(p2))**2 + (yyy(p1)-yyy(p2))**2)
         if (rseg.lt.rpickzg) then
            idpickzg = -1
            rpickzg = rseg
         endif
      enddo

 999  end




