*-- Author :    Rainer Mankel   06/02/94

      subroutine tumclo(iih,nmx,nmcass,mcass)
*     **** locate MC particles associated with this hit
      implicit none
      integer nmx, iih, jaux, mimp
      integer iimimp, nmcass, mcass(nmx)
#include "arte/Arte.fi"
#include "auto/MIMP.fi"
#include "auto/HITB.fi"
#include "auto/GEDE.fi"
#include "arte/Arte.ff"
#include "auto/MIMP.ff"
#include "auto/HITB.ff"
#include "auto/GEDE.ff"

*     **** check if in allowed area
      if (iih.gt.iq(jhitb+2)) then
       print *,' () tumclo: invalid iih=', iih,
     +         ' #hits=', iq(jhitb+2)
       nmcass = 0
       go to 999
      endif

      nmcass = 0
*     **** loop over related MC particles
      do 10 iimimp=1,99
       if (iimimp.eq.1) then
        jaux = phitb_mimp(iih)
       else
        jaux = xhitb_mimp(jaux)
       endif
       if (jaux.eq.0) go to 11

       if (nmcass.lt.nmx) then
        mimp = mhitb_mimp(jaux)
        if (mimp.gt.0) then
         nmcass = nmcass + 1
         mcass(nmcass) = omimp_mtra( mimp )
        endif
       else
        print *,' () tumclo: mcass overflow, hitb,gede,cmp= ',
     +         iih,ihitb_gede(iih),igede_cmp(ihitb_gede(iih))
       endif
 10   continue

 11   continue

 999  end
