// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolBox
// volume class for box shape

#ifndef rangerVolBox_HH
#define rangerVolBox_HH

#include "rang/Volume.hh"
#include "rang/GeWa.hh"

class rangerVolBox : public rangerVolume {

public:
  rangerVolBox(); // default constructor
  rangerVolBox( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolBox(); // destructor
  double sLength(double zz,
	     double x,
	     double y,
	     double tx,
	     double ty); // return traversed length
                         // in units of (zmax-zmin)
};

#endif
