// 
//  Author:  Rainer Mankel                     Created:  14-May-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgdomnb_
// Fortran interface to getter function rangerDomain::nb().
// Returns the integer sequence number of a domain, the pointer of which 
// is passed as input parameter.

#include "rang/Domain.hh"

extern "C" {
  int rgdomnb_(rangerDomain*& dm) {
    if (dm) {
      return dm->nb();
    }
    else {
      return 0;
    }
  }
}



    



