
*-- Author :    A.Spiridonov   17/05/99

      subroutine tfhbinit
      implicit none
      integer i
      logical hexist
#include "rang/zfparext.fi"
#include "rang/zfextse.fi"

      data drift_distance/1/,id_seed_ext/1/,id_cut_seed/0/
     +      id_save_seed/0/,id_hist/0/

*#ifdef rgExtHist

*     **** clear buffer
*                                    id_hist is offset of histogram ID
      do i=id_hist+1,id_hist+10000
        if(hexist(i)) then
          call hdelet(i)
        end if
      end do

*     **** book histograms

      call hbook1
     + (id_hist+201,'C0 Tyvd - Tymu (all)$',50,-0.25,0.25,0.)
      call hbook1
     + (id_hist+202,'C1 yvd(zmu) - ymu (all)$',50,-25.,25.,0.)
      call hbook1
     + (id_hist+203,'C2 Pmu1(all) $',50,.0,250.,0.)
      call hbook1
     + (id_hist+205,'C3 xmu - x1swim(all) $',50,-25.,25.,0.)
      call hbook1
     + (id_hist+206,'C4 ymu - y1swim(all) $',50,-25.,25.,0.)

      call hbook1
     + (id_hist+207,'C5 Tyswim - Tyrich(all) $',50,-.01,.01,0.)
      call hbook1
     + (id_hist+208,'C6 Txswim - Txrich(all) $',50,-.01,.01,0.)
      call hbook1
     + (id_hist+209,'C6 Tetrich(all) $',50,0.050,0.055,0.)
      call hbook1
     + (id_hist+210,'C7 Tetrich/Tetmu-1(all) $',50,-0.1,0.1,0.)

*      call hbook1
*     + (id_hist+211,'C7 xhit-xseed(mu)(all) $',50,-2.0,2.0,0.)
      call hbook1
     + (id_hist+212,'C7 uhit-useed(mu)(all) $',50,-2.0,2.0,0.)
*      call hbook1
*     + (id_hist+213,'C7 (xhit-xseed(mu))/er (all) $',50,-10.,10.,0.)
      call hbook1
     + (id_hist+214,'C7 (uhit-useed(mu))/er (all $',50,-10.,10.,0.)

      call hbook1
     + (id_hist+221,'C4 Tycl - Tyrich(all) $',50,-.01,.01,0.)
      call hbook1
     + (id_hist+222,'C5 Txcl - Txrich(all) $',25,-0.3,0.3,0.)
      call hbook1
     + (id_hist+223,'C4 Tymu - Tyrich(all) $',50,-.01,.01,0.)  ! good
**     + (id_hist+223,'C4 Tymu - Tyrich(all) $',50,-.1,.1,0.) ! bad
      call hbook1
     + (id_hist+224,'Xseg (all) $',50,-150.,150.,0.) 

      call hbook1
**     + (id_hist+225,'mass (without OT) $',50,3.0,3.2,0.)   ! good 
     + (id_hist+225,'mass (without OT) $',50,2.2,4.0,0.)     ! bad
      call hbook1
**     + (id_hist+226,'mass (with OT) $',50,3.0,3.2,0.)      ! good
     + (id_hist+226,'mass (with OT) $',50,2.2,4.0,0.)        ! bad

      call hbook1
     + (id_hist+301,'C0 Tyvd - Tymu (good)$',50,-0.25,0.25,0.)
      call hbook1
     + (id_hist+302,'C1 yvd(zmu) - ymu (good)$',50,-25.,25.,0.)
      call hbook1
     + (id_hist+303,'C2 Pmu1(MC)$',50,.0,250.,0.)
      call hbook1
     + (id_hist+304,'C3 (Pmu1/Pmu(MC)-1)$',50,-1.,1.,0.)
      call hbook1
     + (id_hist+305,'C3 xmu - x1swim (good)$',50,-25.,25.,0.)
      call hbook1
     + (id_hist+306,'C4 yvdmu - y1swim (good)$',50,-5.,5.,0.)

      call hbook1
     + (id_hist+307,'C5 Tyswim - Tyrich(good) $',50,-.01,.01,0.)
      call hbook1
     + (id_hist+308,'C6 Txswim - Txrich(good) $',50,-.01,.01,0.)
      call hbook1
     + (id_hist+309,'C6 Tetrich(qood) $',50,0.050,0.055,0.)
      call hbook1
     + (id_hist+310,'C7 Tetrich/Tetmu-1 (good) $',50,-0.1,0.1,0.)
                                                        
*      call hbook1
*     + (id_hist+311,'C7 xhit-xseed(mu)(good) $',50,-2.0,2.0,0.)
      call hbook1
     + (id_hist+312,'C7 uhit-useed(mu)(good) $',50,-2.0,2.0,0.)
*      call hbook1
*     + (id_hist+313,'C7 (xhit-xseed(mu))/er (good) $',50,-10.,10.,0.)
      call hbook1
     + (id_hist+314,'C7 (uhit-useed(mu))/er (good) $',50,-10.,10.,0.)
                                                        
      call hbook1
     + (id_hist+406,'C4 ymu - y1swim(bad) $',50,-25.,25.,0.)
      call hbook1
     + (id_hist+409,'C6 Tetrich(bad) $',50,0.050,0.055,0.)
      call hbook1
     + (id_hist+410,'C7 Tetrich/Tetmu-1 (bad) $',50,-0.1,0.1,0.)
                                                        
*      call hbook1
*     + (id_hist+411,'C7 xhit-xseed(mu)(bad) $',50,-2.0,2.0,0.)
      call hbook1
     + (id_hist+412,'C7 uhit-useed(mu)(bad) $',50,-2.0,2.0,0.)
*      call hbook1
*     + (id_hist+413,'C7 (xhit-xseed(mu))/er (bad) $',50,-10.,10.,0.)
      call hbook1
     + (id_hist+414,'C7 (uhit-useed(mu))/er (bad) $',50,-10.,10.,0.)


      call hbook2
     + (id_hist+524,'Yseg vs Xseg (all) $'
     + ,50,-150.,150.,50,-150.,150.,0.) 



**      call hbook2(232,'$',28,0.,7.,25,-0.5,24.5,0.)
**      call hbook2(332,'$',28,0.,7.,25,-0.5,24.5,0.)

*#endif
  999 return
      end
