*-- Author :    A. Spiridonov   07/12/98
* Changed :
* new parameters: cut on fraction of good hits  22/07/00 A.Spiridonov
*
      subroutine tfunidm(frmin1,frmin2)
*
*     Ideal match of segments in       SVD    and magnet,pattern
*     when fraction of good hit   >  frmin1   and     frmin2
*     
*             

      implicit none
*
#include "rang/zfpar.fi"
#include "rang/zfmode.fi"

#include "arte/Arte.fi"
#include "auto/RSEG.fi"
#include "arte/RSEG_cmp.fi"
#include "auto/MTRA.fi"

      real frmin1,frmin2
      integer n_end,seg_end(20)
      integer rc,rc1,imc,imc1,OK,ind_rt,iirt
      real  fracmc


#include "arte/Arte.ff"
#include "auto/RSEG.ff"
#include "auto/MTRA.ff"

*--------------------------------------------------

      if(nrseg().le.0) go to 999            !   skip empty event      

      do 101 rc=1,nrseg()
        if((IAND(irseg_cmp(rc),rsegc_vxd ).ne.0) 
     +  .and.(IAND(irseg_cmp(rc),rsegc_bitsign).eq.0)
     +  .and.irseg_fit(rc).ne.7) then 
          call tfremcse(rc,imc,fracmc)    
         if(fracmc.lt.frmin1) go to 101
          if(imc.gt.0) then
**           print '("tfunidm : rc,imc,fracmc = ",2i4,f7.2)',rc,imc,fracmc

            do 210 iirt=1,20                ! look for segment in magnet
              if (iirt.eq.1) then
                ind_rt = pmtra_rseg(imc)
              else
                ind_rt = xmtra_rseg(ind_rt)
              endif
              if (ind_rt.eq.0) go to 211
              rc1 = mmtra_rseg(ind_rt)

              if((rc.ne.rc1)
     +        .and.( IAND(irseg_cmp(rc1),rsegc_magt ).ne.0
     +        .or.IAND(irseg_cmp(rc1),rsegc_patt ).ne.0 )
     +        .and.(IAND(irseg_cmp(rc1),rsegc_bitsign).eq.0)
     +        .and.(irseg_fit(rc1).ne.7)) then 
                 call tfremcse(rc1,imc1,fracmc)  
                 if(fracmc.lt.frmin2) go to 210
                 if(imc.ne.imc1) then
*                   print *,'tfunidm : ???????  imc,imc1', imc,imc1
                 end if

*                 call tfmtchs(rc1,imc1,OK)  
*                 print '("tfunidm : rc1,imc1,OK,fracmc = ",3i4,f7.2)'
*     +           ,rc1,imc1,OK,fracmc
*                 if(imc.eq.imc1.and.fracmc.gt.0.7.and.OK.gt.0) then
                 if(imc.eq.imc1) then
                   call mmbrel(jrsrs,rc,rc1) ! set relation
**                   print '("tfunidm : ideal match mc,seg1,seg2 ",3i4)'
**     +             ,imc,rc,rc1
                   go to 211
                 end if
              end if

 210        continue
 211        continue

          end if
        end if
 101  continue

 999  end


