// *****************************************************************************
//
// source:    kasltsim.hh
//
// type:      header file
//
// created:   21 Mar 2001
//
// author:    Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   class declaration for the KUIP interface slt/sim of sltarte
//
// changes:   
//
// *****************************************************************************
#ifndef _KASLTSIM_
#define _KASLTSIM_

class kasltsim
{
public:
  static kasltsim* Instance();
  static char* get_edcpath()    { return Instance()->m_edcpath; }
  static void  set_edcpath(char* arg)   {Instance()->m_edcpath    = arg; }
  static char* get_edcfile()    { return Instance()->m_edcfile; }
  static void  set_edcfile(char* arg)   {Instance()->m_edcfile    = arg; }
  static int   get_debuglevel() { return Instance()->m_debuglevel; }
  static void  set_debuglevel(int arg)  {Instance()->m_debuglevel = arg; }
  static int   get_runnumber()  { return Instance()->m_runnumber; }
  static void  set_runnumber(int arg)   {Instance()->m_runnumber  = arg; }
protected:
  kasltsim();
private:
  static kasltsim* m_instance;
  char* m_edcpath;
  char* m_edcfile;
  int   m_debuglevel;
  int   m_runnumber;
};

#endif
